org.apache.cassandra.io.util

## Class AbstractReaderFileProxy

- java.lang.Object
- - org.apache.cassandra.io.util.AbstractReaderFileProxy

All Implemented Interfaces:
  java.lang.AutoCloseable, ReaderFileProxy

Direct Known Subclasses:
  CompressedChunkReader

    public abstract class AbstractReaderFileProxy
    extends java.lang.Object
    implements ReaderFileProxy

### Field Summary

Fields
`protected ChannelProxy` `channel`
`protected long` `fileLength`

### Constructor Summary

Constructors
`protected` `AbstractReaderFileProxy(ChannelProxy channel, long fileLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChannelProxy` `channel()`
`void` `close()`
`long` `fileLength()`
`double` `getCrcCheckChance()` Needed for tests.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### channel

    protected final ChannelProxy channel

#### fileLength

    protected final long fileLength

### Constructor Detail

#### AbstractReaderFileProxy

    protected AbstractReaderFileProxy(ChannelProxy channel,
                                      long fileLength)

### Method Detail

#### channel

    public ChannelProxy channel()

Specified by:
  `channel` in interface `ReaderFileProxy`

#### fileLength

    public long fileLength()

Specified by:
  `fileLength` in interface `ReaderFileProxy`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `ReaderFileProxy`

#### getCrcCheckChance

    public double getCrcCheckChance()

Description copied from interface: `ReaderFileProxy`
Needed for tests. Returns the table's CRC check chance, which is only set for compressed tables.

Specified by:
  `getCrcCheckChance` in interface `ReaderFileProxy`